function Toggle()
	wait(0.1)
	if game.Workspace.Glass.Fly.Value == true then
		script.Parent.Transparency = 0
	else
		script.Parent.Transparency = 1
	end
end

game.Workspace.Glass.Fly.Changed:connect(Toggle)